Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Fillings

Get Fillings
GET /serviceforms/{serviceFormId}/forms/{formId}/fillings
https://api.relesysapp.net/api/v1.1/serviceforms/{serviceFormId}/forms/{formId}/fillings
Get a list of fillings for the form with ID formId.

The fillings contain information about which department it was created for, as well the general score for the filling.

fillingScore - This field displays the sum of all points given for the filling. The fillingScore will be null if no related field contains a data list of type "Scored".

performancePercent - This field displays the performance percentage (0-100%) between the given filling score and the highest possible filling score. If the filling score would be 95 out of a possible 100 the performancePercent would display 95.0.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
serviceFormId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
fillingScore integer Filterable Sortable optional
id string / guid Filterable optional
isDraft boolean Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentFillingId string / guid Filterable optional
performancePercent double Filterable optional
serviceFormId string / guid Filterable optional
number integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c6fc8205-a2c4-4fb5-b071-059306828b2a","formId":"331d2724-b874-47e3-986c-c32488ae8378","parentFillingId":"72afeb69-6c22-4753-bf78-46839a6a5c74","departmentId":"8c82d7ae-8afe-4ba0-abd7-373a6a5d2f3e","number":1,"isDraft":false,"creationDateTime":"2026-11-08T20:44:19.8662533+00:00","lastModifiedDateTime":"2026-11-13T20:44:19.8662533+00:00","fillingScore":5,"performancePercent":85.62},{"id":"b785f216-efca-400c-90d7-45032cf11034","formId":"fad37eaa-754f-4801-abe5-f9b9686ad7bc","parentFillingId":null,"departmentId":"38a08033-ecb8-4274-a39b-928784ff92df","number":1,"isDraft":false,"creationDateTime":"2026-11-08T20:44:19.8662533+00:00","lastModifiedDateTime":null,"fillingScore":null,"performancePercent":null}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   fillingScore integer      
   formId string / guid      
   id string / guid      
   isDraft boolean      
   lastModifiedDateTime datetimeoffset      
   number integer      
   parentFillingId string / guid      
   performancePercent double      
  nextUrl string      
  previousUrl string